// -*-C++-*-
/*!
 * @file  VersatileOverheadManagerSVC_impl.h
 * @brief Service implementation header of VersatileOverheadManager.idl
 *
 * @author 株式会社 東日本計算センター
 *
 * New BSD
 *
 */

#include "VersatileOverheadManagerSkel.h"

#ifndef VERSATILEOVERHEADMANAGERSVC_IMPL_H
#define VERSATILEOVERHEADMANAGERSVC_IMPL_H
 
/*!
 * @class VersatileMgrStsSVC_impl
 * Example class implementing IDL interface VersatileMgrStsServ::VersatileMgrSts
 */
class VersatileMgrStsSVC_impl
 : public virtual POA_VersatileMgrStsServ::VersatileMgrSts,
   public virtual PortableServer::RefCountServantBase
{
 private:
   // Make sure all instances are built on the heap by making the
   // destructor non-public
   //virtual ~VersatileMgrStsSVC_impl();

   //add
   CORBA::ULong m_ulVersatileMgrSts;

 public:
  /*!
   * @brief standard constructor
   */
   VersatileMgrStsSVC_impl();
  /*!
   * @brief destructor
   */
   virtual ~VersatileMgrStsSVC_impl();

   // attributes and operations
   CORBA::UShort usSetVersatileMgrSts(CORBA::ULong ulSts);
   void GetVersatileMgrSts(CORBA::ULong& ulSts);
   void InitVersatileMgrSts(void);

};

/*!
 * @class VersatileMgrCompNoticeSVC_impl
 * Example class implementing IDL interface VersatileMgrStsServ::VersatileMgrCompNotice
 */
class VersatileMgrCompNoticeSVC_impl
 : public virtual POA_VersatileMgrStsServ::VersatileMgrCompNotice,
   public virtual PortableServer::RefCountServantBase
{
 private:
   // Make sure all instances are built on the heap by making the
   // destructor non-public
   //virtual ~VersatileMgrCompNoticeSVC_impl();

   //add
   CORBA::ULong m_ulVersatileMgrCompNotice;
   CORBA::ULong m_ulVersatileMgrNoticeParam;

 public:
  /*!
   * @brief standard constructor
   */
   VersatileMgrCompNoticeSVC_impl();
  /*!
   * @brief destructor
   */
   virtual ~VersatileMgrCompNoticeSVC_impl();

   // attributes and operations
   CORBA::UShort usSetVersatileMgrCompNotice(CORBA::ULong ulNotice, CORBA::ULong ulParam);
   void GetVersatileMgrCompNotice(CORBA::ULong& ulNotice, CORBA::ULong& ulParam);
   void InittVersatileMgrCompNotice(void);

};



#endif // VERSATILEOVERHEADMANAGERSVC_IMPL_H


