// -*-C++-*-
/*!
 * @file  VersatileOverheadManagerSVC_impl.cpp
 * @brief Service implementation code of VersatileOverheadManager.idl
 *
 * @author 株式会社 東日本計算センター
 *
 * New BSD
 *
 */

#include "VersatileOverheadManagerSVC_impl.h"
#include "VersatileOverheadSystem.h"
#include <iostream>

/*
 * Example implementational code for IDL interface VersatileMgrStsServ::VersatileMgrSts
 */
VersatileMgrStsSVC_impl::VersatileMgrStsSVC_impl()
{
	//add
	m_ulVersatileMgrSts = MGR_MODE_INIT;
}


VersatileMgrStsSVC_impl::~VersatileMgrStsSVC_impl()
{

}


/*
 * Methods corresponding to IDL attributes and operations
 */
CORBA::UShort VersatileMgrStsSVC_impl::usSetVersatileMgrSts(CORBA::ULong ulSts)
{
	//add
	if(ulSts < MGR_MODE_MAX){
		m_ulVersatileMgrSts = ulSts;
	}else{
		std::cout << "[error]usSetVersatileMgrSts():input parameter error = " << ulSts << std::endl;
		return RESULT_NACK;
	}

	return RESULT_ACK;
}

void VersatileMgrStsSVC_impl::GetVersatileMgrSts(CORBA::ULong& ulSts)
{
	if(&ulSts != NULL){
		ulSts = m_ulVersatileMgrSts;
	}
}

void VersatileMgrStsSVC_impl::InitVersatileMgrSts(void)
{
	m_ulVersatileMgrSts = MGR_MODE_INIT;
}

// End of example implementational code

/*
 * Example implementational code for IDL interface VersatileMgrStsServ::VersatileMgrCompNotice
 */
VersatileMgrCompNoticeSVC_impl::VersatileMgrCompNoticeSVC_impl()
{
	//add
	m_ulVersatileMgrCompNotice = NOTICE_INIT;
	m_ulVersatileMgrNoticeParam = NOTICE_PARAM_INIT;
}


VersatileMgrCompNoticeSVC_impl::~VersatileMgrCompNoticeSVC_impl()
{

}


/*
 * Methods corresponding to IDL attributes and operations
 */
CORBA::UShort VersatileMgrCompNoticeSVC_impl::usSetVersatileMgrCompNotice(CORBA::ULong ulNotice, CORBA::ULong ulParam)
{
	m_ulVersatileMgrCompNotice = ulNotice;
	m_ulVersatileMgrNoticeParam = ulParam;

	return RESULT_ACK;
}

void VersatileMgrCompNoticeSVC_impl::GetVersatileMgrCompNotice(CORBA::ULong& ulNotice, CORBA::ULong& ulParam)
{
	//add
	if((&ulNotice != NULL) && (&ulParam != NULL)){
		ulNotice = m_ulVersatileMgrCompNotice;
		ulParam = m_ulVersatileMgrNoticeParam;
	}
}

void VersatileMgrCompNoticeSVC_impl::InittVersatileMgrCompNotice(void)
{
	m_ulVersatileMgrCompNotice = NOTICE_INIT;
	m_ulVersatileMgrNoticeParam = NOTICE_PARAM_INIT;
}

// End of example implementational code



